Messaging
List stored social conversations
GET
/messagesAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
workspace_id*string
platform?string
account_id?string
archived?boolean
limit?integer
Format
int64Range
1 <= value <= 100Default
50offset?integer
Format
int64Range
0 <= valueDefault
0cursor?string
Opaque cursor for stable older-page pagination
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/messages?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/ConversationPage.json", "items": [ { "archived_at": "2019-08-24T14:15:22Z", "counterpart_avatar_url": "string", "counterpart_handle": "string", "counterpart_name": "string", "counterpart_remote_id": "string", "created_at": "2019-08-24T14:15:22Z", "id": "string", "last_message_at": "2019-08-24T14:15:22Z", "last_message_preview": "string", "last_remote_message_id": "string", "messaging_window_expires_at": "2019-08-24T14:15:22Z", "platform": "string", "read_at": "2019-08-24T14:15:22Z", "remote_conversation_id": "string", "social_account_id": "string", "unread_count": 0, "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" } ], "next_cursor": "string", "sync_states": [ { "error_code": "string", "error_message": "string", "id": "string", "last_success_at": "2019-08-24T14:15:22Z", "next_sync_at": "2019-08-24T14:15:22Z", "platform": "string", "social_account_id": "string", "status": "string" } ], "total": 0}